# PhasicFlow: src/Integration/AdamsBashforth3/AdamsBashforth3.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

AdamsBashforth3.hpp File Reference
Include dependency graph for AdamsBashforth3.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | AB3History
class | AdamsBashforth3
| Third order Adams-Bashforth integration method for solving ODE. More...

## Namespaces

| pFlow

## Functions

INLINE_FUNCTION iIstream & | operator>> (iIstream &str, AB3History &ab3)
INLINE_FUNCTION iOstream & | operator<< (iOstream &str, const AB3History &ab3)